class Contact:
    def __init__(self, **kwargs):
        contact_fields = {
            'first_name', 'last_name', 'birthday', 'job_title',
            'organization', 'organization_profile_id', 'owner_profile_id',
            'account_name', 'person_id', 'name_prefix', 'additional_name', 'full_name', # noqa E501
            'name_suffix', 'nickname', 'display_as', 'title', 'department', 'notes', # noqa E501
            'email1', 'email2', 'email3', 'phone1', 'phone2', 'phone3', 'address1_street',  # noqa E501
            'address1_city', 'address1_state', 'address1_postal_code', 'address1_country',  # noqa E501
            'address2_street', 'address2_city', 'address2_state', 'address2_postal_code',   # noqa E501
            'address2_country', 'day', 'month', 'year', 'cira', 'anniversary', 'website1', # noqa E501
            'website2', 'website3', 'photo_url', 'photo_file_name', 'source',
            'import_contact_id', 'created_user_id'
        }

        for field, value in kwargs.items():
            if field in contact_fields:
                setattr(self, field, value)

    def __str__(self):
        return "Contact: " + str(self.__dict__)

    def __repr__(self):
        return "Contact: " + str(self.__dict__)

    def to_dict(self):
        return self.__dict__
